Bug 473312

Summary: Backlit keyboard weirdness on MacBook Pro
Product: [Fedora] Fedora Reporter: Manik Surtani <manik>
Component: halAssignee: Richard Hughes <richard>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 10CC: richard, sonarguy
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-12-18 01:59:07 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Manik Surtani 2008-11-27 11:39:38 EST
I have referred to 

http://people.freedesktop.org/~hughsient/quirk/quirk-backlight-index.html

But there was nothing useful/relevant to me there.

Essentially, controlling the keyboard backlight works well, except on logging out and logging back in, it is fully lit again (doesn't save settings?)

Also, fully lit after a suspend/resume, nor does it detect low light conditions and automatically adjust backlight brightness the way OS X does.

Using a "2.1" MacBook Pro.
Comment 1 Manik Surtani 2008-11-27 11:40:29 EST
Also, some additional info:

[root@Gemini ~]# lshal | grep laptop_panel
  info.capabilities = {'laptop_panel'} (string list)
  info.category = 'laptop_panel'  (string)
  laptop_panel.access_method = 'custom'  (string)
  laptop_panel.num_levels = 229  (0xe5)  (int)
[root@Gemini ~]#
Comment 2 Scott Glaser 2009-09-09 08:24:09 EDT
Have you tried with the latest hal package in Fedora 10, Fedora 11 or tried Rawhide? In either case, can you let us know whether the issue is still happening, and give the current version of the HAL packages you're using?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Bug Zapper 2009-11-18 04:00:25 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-12-18 01:59:07 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.